- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v4/customBiddingAlgorithms/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v4/customBiddingAlgorithms/get#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/display-video/api/reference/rest/v4/customBiddingAlgorithms/get#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v4/customBiddingAlgorithms/get#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v4/customBiddingAlgorithms/get#body.response_body)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v4/customBiddingAlgorithms/get#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v4/customBiddingAlgorithms/get#try-it)

Gets a custom bidding algorithm.

### HTTP request

`GET https://displayvideo.googleapis.com/v4/customBiddingAlgorithms/{customBiddingAlgorithmId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customBiddingAlgorithmId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the custom bidding algorithm to fetch. |

### Query parameters

| Parameters ||
|---|---|
| Required. Identifies which DV360 entity the request is being made within. The Get request will only return a custom bidding algortihm entity that is accessible to the DV360 entity identified within the `accessor`. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `partnerId` | `string (https://developers.google.com/discovery/v1/type-format format)` The ID of the DV360 partner that has access to the custom bidding algorithm. |
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` The ID of the DV360 partner that has access to the custom bidding algorithm. |
| End of mutually exclusive fields. ||

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/display-video/api/reference/rest/v4/customBiddingAlgorithms#CustomBiddingAlgorithm`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).